TechSmith Relay: Potential QuickTime Vulnerability

Important Note:   Relay Server 5.1.2 no longer requires Quicktime.  

For more information and to obtain the updated server version, please review the maintenance release information here.

The US-Computer Emergency Readiness Team has issued an alert ( https://www.us-cert.gov/ncas/alerts/TA16-105A ) to users of Windows computers which outlines two potential vulnerabilities.  Apple has confirmed that QuickTime for Windows will no longer be updated and these vulnerabilities can only be mitigated by uninstalling the QuickTime product from Windows computers.

 

At TechSmith, we are aware of our customers need for secure systems including those with TechSmith Relay installed.  Presently, TechSmith Relay uses Apple’s QuickTime product on the server system to decode .mov and .mp4 video content. While we are still in the planning stages, it is expected that we will be removing the dependency on these affected QuickTime components in a future maintenance update for the TechSmith Relay 5.x solution.

Was this article helpful?
2 out of 2 found this helpful